clan::WindowManager Class Reference - ClanLib SDK
Description: clan::WindowManager Class Reference

Public Member Functions | Friends | List of all members
clan::WindowManager Class Reference

Manages one or more windows. More...

`#include <window_manager.h>`

## Public Member Functions
| WindowManager ()
| ~WindowManager ()
void | flip (int interval=-1)
| Translates a call to all top-level windows.
void | present_main (const std::shared_ptr< WindowController > &controller, DisplayWindowDescription *desc=nullptr, WindowShowType show_type=WindowShowType::show)
| Shows a main window.
template<typename T , typename... Types>
std::shared_ptr< T > | present_main (Types &&... args)
void | present_modal (View *owner, const std::shared_ptr< WindowController > &controller, DisplayWindowDescription *desc=nullptr)
| Shows a modal dialog.
template<typename T , typename... Types>
std::shared_ptr< T > | present_modal (View *owner, Types &&... args)
void | present_popup (View *owner, const Pointf &pos, const std::shared_ptr< WindowController > &controller, DisplayWindowDescription *desc=nullptr)
| Shows a popup window.
template<typename T , typename... Types>
std::shared_ptr< T > | present_popup (View *owner, const Pointf &pos, Types &&... args)
void | set_exit_on_last_close (bool enable=true)
| Notifices RunLoop to exit when last presented window is dismissed.

## Friends
class | WindowController

## Detailed Description

Manages one or more windows.

## Constructor & Destructor Documentation

## ◆ WindowManager()

clan::WindowManager::WindowManager | ( |  | ) |

## ◆ ~WindowManager()

clan::WindowManager::~WindowManager | ( |  | ) |

## Member Function Documentation

## ◆ flip()

void clan::WindowManager::flip | ( | int | interval = -1 | ) |

Translates a call to all top-level windows.

## ◆ present_main() [1/2]

void clan::WindowManager::present_main | ( | const std::shared_ptr< WindowController > & | controller,
|  | DisplayWindowDescription * | desc = nullptr,
|  | WindowShowType | show_type = WindowShowType::show )

Shows a main window.

Referenced by present_main().

## ◆ present_main() [2/2]

template<typename T , typename... Types>

std::shared_ptr< T > clan::WindowManager::present_main | ( | Types &&... | args | ) |
| inline

References present_main().

## ◆ present_modal() [1/2]

void clan::WindowManager::present_modal | ( | View * | owner,
|  | const std::shared_ptr< WindowController > & | controller,
|  | DisplayWindowDescription * | desc = nullptr )

Shows a modal dialog.

Referenced by present_modal().

## ◆ present_modal() [2/2]

template<typename T , typename... Types>

std::shared_ptr< T > clan::WindowManager::present_modal | ( | View * | owner,
|  | Types &&... | args )
| inline

References present_modal().

## ◆ present_popup() [1/2]

void clan::WindowManager::present_popup | ( | View * | owner,
|  | const Pointf & | pos,
|  | const std::shared_ptr< WindowController > & | controller,
|  | DisplayWindowDescription * | desc = nullptr )

Shows a popup window.

Referenced by present_popup().

## ◆ present_popup() [2/2]

template<typename T , typename... Types>

std::shared_ptr< T > clan::WindowManager::present_popup | ( | View * | owner,
|  | const Pointf & | pos,
|  | Types &&... | args )
| inline

References present_popup().

## ◆ set_exit_on_last_close()

void clan::WindowManager::set_exit_on_last_close | ( | bool | enable = true | ) |

Notifices RunLoop to exit when last presented window is dismissed.

## Friends And Related Symbol Documentation

## ◆ WindowController

friend class WindowController
| friend

The documentation for this class was generated from the following file:

- window_manager.h